Skip to main content
GET
/
api
/
v2
/
account
/
relay-auto-configs
/
{id}
Get Relay Proxy config
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/account/relay-auto-configs/{id} \
  --header 'Authorization: <api-key>'
{
  "_id": "12ab3c45de678910abc12345",
  "name": "Relay Proxy Demo Config",
  "policy": [
    {
      "effect": "allow",
      "resources": [
        "proj/*:env/*;qa_*:/flag/*"
      ],
      "notResources": [
        "<string>"
      ],
      "actions": [
        "*"
      ],
      "notActions": [
        "<string>"
      ]
    }
  ],
  "displayKey": "7f30",
  "creationDate": "1628001602644",
  "lastModified": "1628001602644",
  "_creator": {
    "_links": {
      "self": {
        "href": "/api/v2/members/569f183514f4432160000007",
        "type": "application/json"
      }
    },
    "_id": "569f183514f4432160000007",
    "role": "admin",
    "email": "ariel@acme.com",
    "firstName": "Ariel",
    "lastName": "Flores"
  },
  "_access": {
    "denied": [
      {
        "action": "<string>",
        "reason": {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ],
          "role_name": "<string>"
        }
      }
    ],
    "allowed": [
      {
        "action": "<string>",
        "reason": {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ],
          "role_name": "<string>"
        }
      }
    ]
  },
  "fullKey": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

id
string<string>
required

The relay auto config id

Response

Relay auto config response

_id
string
required

The ID of the Relay Proxy configuration

Example:

"12ab3c45de678910abc12345"

name
string
required

A human-friendly name for the Relay Proxy configuration

Example:

"Relay Proxy Demo Config"

policy
object[]
required

A description of what environments and projects the Relay Proxy should include or exclude

displayKey
string
required

The last few characters of the Relay Proxy configuration key, displayed in the LaunchDarkly UI

Example:

"7f30"

creationDate
integer<int64>
required

Timestamp of when the Relay Proxy configuration was created

Example:

"1628001602644"

lastModified
integer<int64>
required

Timestamp of when the Relay Proxy configuration was most recently modified

Example:

"1628001602644"

_creator
object

Details on the member who created this Relay Proxy configuration

_access
object

Details on the allowed and denied actions for this Relay Proxy configuration

fullKey
string

The Relay Proxy configuration key